Bug 16248 - bad backspace binding
Summary: bad backspace binding
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: screen (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-15 15:05 UTC by Tim Waugh
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-15 15:38:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2000-08-15 15:05:33 UTC
Running 'emacs -nw' in screen and typing stuff and then using backspace
acts as though I've pressed control-H.  vi is fine.

This only seems to happen with TERM=xterm.

Comment 1 Tim Waugh 2000-08-15 15:38:22 UTC
It also happens with TERM=linux, on the console.

But with TERM=ansi, it doesn't happen.

Comment 2 Crutcher Dunnavant 2000-08-15 15:56:29 UTC
There are some nasty, nasty issues with screen's translation, and its occasional
refusal to do so. 
However, that said, screen thinks that backspace == ^H, and it will try to
translate to get to this point.
It is in the man pages.

This is not something that I can fix, as it is (somewhat) documented behaviour.

closing.

Comment 3 David Balažic 2000-08-25 07:59:57 UTC
the backspace -> ^H translation is in the man page,
and also int the screen termcap entry, but NOT in the actual
screen code !
Recently ( a recent redhat screen package ) a line was added
in /etc/screenrc to fix this.
( the line is : bindkey -k kb stuff ^H )


Comment 4 David Balažic 2000-08-25 08:10:20 UTC
see also bug #11294 for more info


Note You need to log in before you can comment on or make changes to this bug.